Skip to main content
GET
/
finance
/
revenue
List revenue records
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/finance/revenue \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "client_name": "<string>",
      "type": "recurring",
      "amount_cents": 123,
      "currency": "USD",
      "billing_frequency": "monthly",
      "next_invoice_date": "2023-12-25",
      "last_invoiced_at": "2023-11-07T05:31:56Z",
      "status": "active",
      "renewal_date": "2023-12-25",
      "payment_terms": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "notes": "<string>",
      "product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

entity_id
string<uuid>
required
website_id
string<uuid>
product_line_id
string<uuid>

Response

Revenue records

success
boolean
required
data
object[]